kind: pipeline
type: docker
name: default

steps:
- name: build
  image: golang:1.14
  commands:
    - go build

- name: publish
  image: plugins/docker
  settings:
    repo: klmp200/abitbol
    username:
      from_secret: docker_username
    password:
      from_secret: docker_password
  when:
    branch: master
    event: push

- name: deploy
  image: appleboy/drone-ssh
  environment:
    SSH_PASSWORD:
      from_secret: ssh_password
  settings:
    host:
      from_secret: ssh_host
    username:
      from_secret: ssh_username
    password:
      from_secret: ssh_password
    envs: [ SSH_PASSWORD ]
    script:
      - echo $SSH_PASSWORD | sudo -S systemctl restart abitbol-bot
  when:
    branch: master
    event: push
